package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalCloseRoomLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalCloseRoomLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalCloseRoomLogic {
	return &SignalCloseRoomLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalCloseRoomLogic) SignalCloseRoom(in *rtc.SignalCloseRoomReq) (*rtc.SignalCloseRoomResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalCloseRoomResp{}, nil
}
